"""
题干（问题描述）：
下述代码期望实现手动编写一个类，使其对象可供 `with...as` 语句操作，请选出正确的自定义类，可以让下述代码正常运行。
```python
def get_obj():
    return MyWithAsClass()
with get_obj() as obj:
    print("with 上下文管理")
```

"""


class MyWithAsClass:
    def __enter__(self):
        print("__enter__")

    def __exit__(self, type, value, trace):
        print("__exit__")


def get_obj():
    return MyWithAsClass()


with get_obj() as obj:
    print("with 上下文管理")
